none
Support for SQL CE 4 RRS feed

  • Question

  • Any idea when the Sync framework will support Sql CE 4?

     

    -Terry

    Thursday, August 12, 2010 2:47 PM

Answers

  • Unfortunately at this moment we don't have a firm plan to support SqlCe 4.0. We will keep you updated once we have a decision on this.

    thanks

    Yunwen


    This posting is provided "AS IS" with no warranties, and confers no rights.
    Wednesday, May 25, 2011 1:22 AM
    Moderator

All replies

  • Need same question answered. I keep getting the incompatiable database version error when trying to use it with Synch Framework v2. Really need this fixed or work around!
    Friday, August 13, 2010 12:57 AM
  • Unfortunately, we have not announced a date to formally support SQL Compact 4.0.  When we do formally announce support for Compact 4.0, we will do so via our blog.  Just out of curiosity, which of the Compact 4.0 features are attractive for your sync scenarios?

    Regards,

     


    Sean Kelley
    Senior Program Manager
    Microsoft
    Friday, August 13, 2010 9:13 PM
    Moderator
  • Sean,

    The biggest things that I excited about in my WPF/Sync app anyways, because there are many more things to be excited about on the ASP.NET side fo things, is that CE 4.0 supports framework 4.0 which removes the dependency I have currently on 2.0. I am also curious about the multithreading capabilities of it from a WPF view point and I am curious about the improved performance and the expanded SQL support as far as fetching and paging and who knows what else. I constantly have issues with CE 3.5 where I am having to rework queries, especially if they involve a TOP statement and I am hoping 4.0 can solve some of that for me.

    Also in reference to Framework 4.0 can we get a version of Sync Framework compiled with 4.0 so that I do not have to deploy Framework 3.5 just to support these assemblies?

    Thanks and sorry it took me so long to repost. I didn't get notified that a reply had been added and I just happened upon this thread again when looking for something else.

    Tuesday, August 17, 2010 1:19 PM
  • Hi Sean,  To further satisfy your curiosity, I too have been desperately trying to find an easy way to synchronize SQL 2008 with SQL CE 4.0.

    For simper sites we have quickly aken to Webmatrix.  The ease of deployment and rapid development is great for these smaller sites and its use of sqlce 4.0 works very well.  HOWEVER,  moving bulk data into the databases is proving to be a major challenge.  In three scenorios we now have sites where the site itself requires quite a small subset of a very large 2008 R2 database.  These apps need to function similar to "Occasionally Connected" apps. and one would have thought this would be easy.  Not so.

    Maybe you or one of your smart readers can suggest a solution.

    BTY I have just loaded the Sync Framework 4_0 October 2010 CTP but have yet to try using it at all.

    Thanks,  Ken Hull

     

     

     

    Tuesday, May 24, 2011 12:51 PM
  • Unfortunately at this moment we don't have a firm plan to support SqlCe 4.0. We will keep you updated once we have a decision on this.

    thanks

    Yunwen


    This posting is provided "AS IS" with no warranties, and confers no rights.
    Wednesday, May 25, 2011 1:22 AM
    Moderator
  • Any news, about sync framework and sql ce 4 ?

    Monday, November 12, 2012 9:44 AM
  • Monday, November 12, 2012 11:03 AM
    Moderator